#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>

// ############### Struct part I #################

typedef struct
{
	char dept[31];
	int nbP;
	char respAd[31];
} Departement;

typedef struct maillonDept
{
	Departement d;
	struct maillonDept *suiv;

} MaillonDept,*ListeDept;

typedef struct
{
	char nom[31];
	ListeDept lDept;
} VilleIUT;


// ############### Struct part II #################

typedef struct
{
    char ville[31];
    char dep[31];
    int decisionResp; // 1 admis , -1 refusé , 2 sur liste d'attente
    int decisionCand; // 0 pas encore décidé  , -1 refuse la proposition , 1 accepté
} Choix;


typedef struct
{
   int numeroC;
   char nom[31];
   char prenom[31];
   float notes[4];
   int nombreChoix;
   Choix **tchoix;
} Candidat;